var readline = require("readline");
var five = require("../lib/johnny-five");
var board = new five.Board({
  repl: false
});

board.on("ready", function() {

  var msg = "";
  var idx = 0;
  var rl = readline.createInterface({
    input: process.stdin,
    output: process.stdout
  });
  var display = new five.Led.Matrix({
    pins: {
      data: 2,
      clock: 3,
      cs: 4
    }
  });

  display.on();

  function draw() {
    if (msg.length) {
      display.char(0, msg[idx++]);

      // Reached the end?
      if (idx === msg.length) {
        idx = 0;
        return;
      }

      setTimeout(draw, 500);
    }
  }

  rl.on("line", function(text) {
    msg = text.trim();
    draw();
  });
});
